Subject: AC97 audio broken on SAM9263EK?

From: [email-masked] (Yegor Yefremov)
Date: Wed, 10 Mar 2010 09:47:22 +0100

Hi Sedji,

Sedji Gaouaou wrote:
> Le 3/9/2010 3:11 PM, Yegor Yefremov a ?crit :
>>> http://mailman.alsa-project.org/pipermail/alsa-devel/2010-March/025709.html
>>>
>>
>> I tried your patch, but mpg123 says:
>>
>> Playing MPEG stream 1 of 1: 05_Tabor_Romance.mp3 ...
>> Title:                                   Artist:
>> Comment:                                 Album:
>> Year:                                    Genre:  Other
>> MPEG 1.0 layer III, 128 kbit/s, 44100 Hz stereo
>> [audio.c:532] error: Error in writing audio (Input/output error?)!
>> [mpg123.c:557] error: Deep trouble! Cannot flush to my output anymore!
>>
>> I'm using kernel 2.6.33 on the at91sam9g45-ek. For sound I use patches
>> 0039 and 0044 from
>> ftp://ftp.linux4sam.org/devel/linux/2630_lnx4sam_patchset-tmp_20090828.tgz.
>> With these I get proper sound from my head phones.
>>
>> Regards,
>> Yegor
>>
> I never tried with mpg123. But I just diff the 2 sets of patches, and
> the only difference I can see is that the one on linux4sam doesn't
> handle full duplex, whereas the one I posted on the alsa mailing does...
> 
> Yoy can find enclosed both files, may I ask you to test with both?
> If it fails then I guess there is something wrong with the way the full
> duplex is done(even though I have tested it on my board...)

I tried both files and the one really working is ac97c_alsa.c. As far as I understand it is combination of both patches for at91 support and full duplex?

I've tried the following applications under Debian 5.0:

mpg123
vlc
mplayer
amarok

Regards,
Yegor